## org.apache.http.impl.io
Class HttpTransportMetricsImpl

    java.lang.Object
      org.apache.http.impl.io.HttpTransportMetricsImpl

All Implemented Interfaces:
  HttpTransportMetrics

    @NotThreadSafe
    public class HttpTransportMetricsImpl

extends Object
implements HttpTransportMetrics

Default implementation of `HttpTransportMetrics`.

Since:
  4.0

Constructor Summary
`HttpTransportMetricsImpl()`

Method Summary
`long` `getBytesTransferred()` Returns the number of bytes transferred.
`void` `incrementBytesTransferred(long count)`
`void` `reset()` Resets the counts
`void` `setBytesTransferred(long count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpTransportMetricsImpl

    public HttpTransportMetricsImpl()

Method Detail

### getBytesTransferred

    public long getBytesTransferred()

  Description copied from interface: `HttpTransportMetrics`
  Returns the number of bytes transferred.

  Specified by:
    `getBytesTransferred` in interface `HttpTransportMetrics`

### setBytesTransferred

    public void setBytesTransferred(long count)

### incrementBytesTransferred

    public void incrementBytesTransferred(long count)

### reset

    public void reset()

  Description copied from interface: `HttpTransportMetrics`
  Resets the counts

  Specified by:
    `reset` in interface `HttpTransportMetrics`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.